<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="app.netrunner.vpn">

    <!-- Базовые сетевые разрешения -->
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.BIND_VPN_SERVICE" />
    <uses-permission android:name="android.permission.VIBRATE" />

    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE_SPECIAL_USE" />
    
    <!-- Разрешение для уведомлений (Android 13+) -->
    <uses-permission android:name="android.permission.POST_NOTIFICATIONS" />

    <!-- 
      Видимость пакетов для функции Split Tunneling.
      Позволяет PackageManager видеть приложения, имеющие иконку в меню (Launcher).
    -->
    <queries>
        <intent>
            <action android:name="android.intent.action.MAIN" />
            <category android:name="android.intent.category.LAUNCHER" />
        </intent>
    </queries>

    <application>
        <service
            android:name=".TunVpnService"
            android:process=":vpn"
            android:permission="android.permission.BIND_VPN_SERVICE"
            android:exported="false"
            android:foregroundServiceType="specialUse"> <!-- ИСПРАВЛЕНИЕ ЗДЕСЬ -->
            
            <intent-filter>
                <action android:name="android.net.VpnService"/>
            </intent-filter>
            
            <meta-data 
                android:name="android.net.VpnService.SUPPORTS_USER_CONTROL" 
                android:value="true" />

            <!-- Это свойство критично для specialUse -->
            <property 
                    android:name="android.app.PROPERTY_SPECIAL_USE_FGS_TYPE" 
                    android:value="vpn" />
        </service>
    </application>
</manifest>